#include maps\MP\_utility;

main()
{
   //if(getCvar("sv_pam") == "1") maps\pam\pam_setup::main();

   maps\mp\mp_sg_marketgarden_fx::main();
   maps\mp\_load::main();

   // set fog. density, red, green, blue, alpha
   //setExpFog(0.00032, 0.55, 0.6, 0.55, 0);
   setExpFog(0.00015, 0.55, 0.6, 0.55, 0);

   // set background ambient noise
   ambientPlay("ambient_mp_sg_marketgarden");

   // set nationalities of allies and axis
   game["allies"] = "american"; // or british or russian
   game["axis"] = "german";

   // set who does what in SD
   game["attackers"] = "allies";
   game["defenders"] = "axis";

   // set the way allies and axis look
   // possible values are:
   // for american: normandy
   // for british: normandy, africa
   // for russian: coats, padded
   // for german: normandy, africa, winterlight, winterdark
   game["american_soldiertype"] = "normandy";
   game["german_soldiertype"] = "normandy";

   // set up bloom and sky bleeding effects
   setCvar("r_glowbloomintensity0", ".25");
   setCvar("r_glowbloomintensity1", ".25");
   setcvar("r_glowskybleedintensity0",".3");
   
   WeaponRespawner("weapons", 60);
   
}


WeaponRespawner(targetname, defaultrespawndelay)
{
	weapons = getentarray(targetname, "targetname");
	if(weapons.size > 0)
	{
		for(i=0; i < weapons.size; i++) 
		{
			if(!isdefined(weapons[i].script_timescale))
				weapons[i].script_timescale = defaultrespawndelay;

			// kick off a thread to listen for when the item gets picked up
			weapons[i] thread weapon_think(weapons[i].script_timescale);
		}
	}
}

// self = weapon reference
weapon_think(delaytime)
{
	// capture important weapon data first to allow us to respawn them
	classname = self.classname;
	model = self.model;
	count = self.count;
	org = self.origin;
	angles = self.angles;

	targetname = self.targetname;

	// Wait till the weapon gets picked up
	self waittill("trigger");

	// Wait the delay before respawn
	wait delaytime;

	// respawn the weapon
	weapon = spawn(classname, org);
	weapon.angles = angles;
	weapon.count = count;
	weapon setmodel(model); 
	weapon.script_timescale = delaytime;
	weapon.targetname = targetname;

	// Kick off a new thread with the new weapon and kill the old one
	weapon thread weapon_think(delaytime);
}